package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.PapGigiKiriDua;
import com.jasamedika.medifirst2000.vo.PapGigiKiriDuaVO;

/**
 * Converter class between PAPGigiKiriDua and PAPGigiKiriDuaVO
 * 
 * @author Askur
 */
@Component
public class PapGigiKiriDuaConverter implements BaseVoConverter<PapGigiKiriDuaVO, PapGigiKiriDua> {
	

	public PapGigiKiriDua transferVOToModel(PapGigiKiriDuaVO vo, PapGigiKiriDua model) {
		if (null == model)
			model = new PapGigiKiriDua();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PapGigiKiriDua.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<PapGigiKiriDuaVO> transferListOfModelToListOfVO(List<PapGigiKiriDua> models,
			List<PapGigiKiriDuaVO> vos) {
		if (null == vos)
			vos = new ArrayList<PapGigiKiriDuaVO>();

		if (null == models)
			return vos;

		for (PapGigiKiriDua PapGigiKiriDua : models) {
			PapGigiKiriDuaVO vo = new PapGigiKiriDuaVO();
			vo = transferModelToVO(PapGigiKiriDua, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PapGigiKiriDuaVO transferModelToVO(PapGigiKiriDua model, PapGigiKiriDuaVO vo) {

		if (null == vo)
			vo = new PapGigiKiriDuaVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PapGigiKiriDuaVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
